# dataconnect/connector/conversation/queries.gql

query listConversation @auth(level: USER) {
  conversations {
    id
    participants
    conversationType
    relatedTo
    status
  }
}

query getConversationById(
  $id: UUID!
) @auth(level: USER) {
  conversation(id: $id) {
    id
    participants
    conversationType
    relatedTo
    status
  }
}

query filterConversation(
  $conversationType: ConversationType,
  $status: ConversationStatus,
  $relatedTo: UUID
) @auth(level: USER) {
  conversations(
    where: {
      conversationType: { eq: $conversationType }
      status: { eq: $status }
      relatedTo: { eq: $relatedTo }
    }
  ) {
    id
    participants
    conversationType
    relatedTo
    status
  }
}
